package org.alfresco.bm.site;

import java.io.Serializable;

/**
 * Data representing a site member.
 * 
 * @author steveglover
 *
 */
public class SiteMember implements Serializable
{
    private static final long serialVersionUID = 505331886661880389L;

    public static final String FIELD_USERNAME = "username";
    public static final String FIELD_SITE_ID = "siteId";
    public static final String FIELD_NETWORK_ID = "networkId";
    public static final String FIELD_STATE = "status.state";
    public static final String FIELD_RANDOMIZER = "randomizer";
    public static final String FIELD_CREATED = "created";

    private boolean created = false;
    private String networkId;
    private String username;
    private String siteId;
    private SiteRole role;
    private Status status;
    private int randomizer;

    public SiteMember()
    {
        randomizer = (int)(Math.random() * 1E6);
    }

    public SiteMember(String username, String siteId, String networkId, SiteRole role)
    {
        this();
        this.username = username;
        this.siteId = siteId;
        this.networkId = networkId;
        this.role = role;
    }
    
    public String getNetworkId()
	{
		return networkId;
	}

	public void setNetworkId(String networkId)
	{
		this.networkId = networkId;
	}

	public void setCreated(boolean created)
    {
        this.created = created;
    }

    public boolean isCreated()
    {
        return created;
    }

    public int getRandomizer()
    {
        return randomizer;
    }

    public String getUsername()
    {
        return username;
    }

    public void setUsername(String username)
    {
        this.username = username;
    }

    public void setRole(SiteRole role)
    {
        this.role = role;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public Status getStatus()
    {
        return status;
    }

    public void setStatus(Status status)
    {
        this.status = status;
    }

    public SiteRole getRole()
    {
        return role;
    }

	@Override
	public String toString()
	{
		return "SiteMember [created=" + created + ", networkId=" + networkId
				+ ", username=" + username + ", siteId=" + siteId + ", role="
				+ role + ", status=" + status + ", randomizer=" + randomizer
				+ "]";
	}
}
